## fmms 0.7.2

=== debian/changelog ===
fmms (0.7.2) stable; urgency=low

  * fixed wappushhandler to disconnect when bailing out of __get_mms
  * fixed fmms_magic so it should actually work properly now
  * delete in controller now defaults to mmsdir/pushdir if lookup in db fails

 -- Nick Leppänen Larsson <frals@frals.se>  Thu, 15 Apr 2010 17:44:59 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	#$(MAKE) DESTDIR="$(CURDIR)/debian/fmms" install
	mkdir -p "$(CURDIR)/debian/fmms"

	mkdir -p "$(CURDIR)/debian/fmms/usr/share/icons/hicolor/32x32/hildon/"
	cp -a "src/usr/share/icons/hicolor/32x32/hildon/fmms.png" "$(CURDIR)/debian/fmms/usr/share/icons/hicolor/32x32/hildon/fmms.png"
	mkdir -p "$(CURDIR)/debian/fmms/usr/share/dbus-1/system-services/"
	cp -a "src/usr/share/dbus-1/system-services/se.frals.mms.service" "$(CURDIR)/debian/fmms/usr/share/dbus-1/system-services/se.frals.mms.service"
	mkdir -p "$(CURDIR)/debian/fmms/etc/sudoers.d/"
	cp -a "src/etc/sudoers.d/fmms_magic.sudoers" "$(CURDIR)/debian/fmms/etc/sudoers.d/fmms_magic.sudoers"
	mkdir -p "$(CURDIR)/debian/fmms/usr/share/icons/hicolor/48x48/hildon/"
	cp -a "src/usr/share/icons/hicolor/48x48/hildon/fmms.png" "$(CURDIR)/debian/fmms/usr/share/icons/hicolor/48x48/hildon/fmms.png"
	mkdir -p "$(CURDIR)/debian/fmms/usr/share/dbus-1/services/"
	cp -a "src/usr/share/dbus-1/services/se.frals.fmms.service" "$(CURDIR)/debian/fmms/usr/share/dbus-1/services/se.frals.fmms.service"
	mkdir -p "$(CURDIR)/debian/fmms/usr/share/applications/hildon/"
	cp -a "src/usr/share/applications/hildon/fmms.desktop" "$(CURDIR)/debian/fmms/usr/share/applications/hildon/fmms.desktop"
	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/mms/"
	cp -a "src/opt/fmms/mms/COPYING" "$(CURDIR)/debian/fmms/opt/fmms/mms/COPYING"
	cp -a "src/opt/fmms/mms/COPYING.LESSER" "$(CURDIR)/debian/fmms/opt/fmms/mms/COPYING.LESSER"
	cp -a "src/opt/fmms/mms/__init__.py" "$(CURDIR)/debian/fmms/opt/fmms/mms/__init__.py"
	cp -a "src/opt/fmms/mms/iterator.py" "$(CURDIR)/debian/fmms/opt/fmms/mms/iterator.py"
	cp -a "src/opt/fmms/mms/message.py" "$(CURDIR)/debian/fmms/opt/fmms/mms/message.py"
	cp -a "src/opt/fmms/mms/mms_pdu.py" "$(CURDIR)/debian/fmms/opt/fmms/mms/mms_pdu.py"
	cp -a "src/opt/fmms/mms/wsp_pdu.py" "$(CURDIR)/debian/fmms/opt/fmms/mms/wsp_pdu.py"
	cp -a "src/opt/fmms/COPYING" "$(CURDIR)/debian/fmms/opt/fmms/COPYING"
	cp -a "src/opt/fmms/CREDITS" "$(CURDIR)/debian/fmms/opt/fmms/CREDITS"
	cp -a "src/opt/fmms/__init__.py" "$(CURDIR)/debian/fmms/opt/fmms/__init__.py"
	cp -a "src/opt/fmms/contacts.py" "$(CURDIR)/debian/fmms/opt/fmms/contacts.py"
	cp -a "src/opt/fmms/controller.py" "$(CURDIR)/debian/fmms/opt/fmms/controller.py"
	cp -a "src/opt/fmms/dbhandler.py" "$(CURDIR)/debian/fmms/opt/fmms/dbhandler.py"
	cp -a "src/opt/fmms/fmms.png" "$(CURDIR)/debian/fmms/opt/fmms/fmms.png"
	cp -a "src/opt/fmms/fmms_config.py" "$(CURDIR)/debian/fmms/opt/fmms/fmms_config.py"
	cp -a "src/opt/fmms/fmms_gui.py" "$(CURDIR)/debian/fmms/opt/fmms/fmms_gui.py"
	cp -a "src/opt/fmms/fmms_magic" "$(CURDIR)/debian/fmms/opt/fmms/fmms_magic"
	cp -a "src/opt/fmms/fmms_sender_ui.py" "$(CURDIR)/debian/fmms/opt/fmms/fmms_sender_ui.py"
	cp -a "src/opt/fmms/fmms_viewer.py" "$(CURDIR)/debian/fmms/opt/fmms/fmms_viewer.py"
	cp -a "src/opt/fmms/fmms_config_dialog.py" "$(CURDIR)/debian/fmms/opt/fmms/fmms_config_dialog.py"
	cp -a "src/opt/fmms/fmmsd.py" "$(CURDIR)/debian/fmms/opt/fmms/fmmsd.py"
	cp -a "src/opt/fmms/logger.conf" "$(CURDIR)/debian/fmms/opt/fmms/logger.conf"
	cp -a "src/opt/fmms/wappushhandler.py" "$(CURDIR)/debian/fmms/opt/fmms/wappushhandler.py"
	mkdir -p "$(CURDIR)/debian/fmms/usr/share/icons/hicolor/scalable/hildon/"
	cp -a "src/usr/share/icons/hicolor/scalable/hildon/fmms.png" "$(CURDIR)/debian/fmms/usr/share/icons/hicolor/scalable/hildon/fmms.png"

	# ======================================================

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs debian/changelog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## fmms 0.9.0

=== debian/changelog ===
fmms (0.9.0) stable; urgency=low

  * redid configuration for apn
  * automatically fetches operator settings from /etc/operator_settings if available
  * border around interaction area in sender
  * 'forward' option added in viewer
  * only stores sent messages if mmsc responds it was successfully submitted
  * fixed some issues where dbhandler would break when concatting strings
  * delete function now uses os.listdir to get the list of files
  * message time is converted to localtime when fetched from db
  * sane defaults on first launch

 -- Nick Leppänen Larsson <frals@frals.se>  Sun, 18 Apr 2010 19:22:34 +0200

## fmms 0.9.2

=== debian/changelog ===
fmms (0.9.2) stable; urgency=low

  * fixed sloppy from_sharing_service check

 -- Nick Leppänen Larsson <frals@frals.se>  Mon, 19 Apr 2010 00:34:21 +0200

fmms (0.9.1) stable; urgency=low

  * fixed autoconfig dialog so it doesnt choke when auto settings are empty
  * deletes own copy of sharing file on send/exit
  * removed logging of phone number

 -- Nick Leppänen Larsson <frals@frals.se>  Mon, 19 Apr 2010 00:02:39 +0200

## fmms 0.9.3

=== debian/changelog ===
fmms (0.9.3) stable; urgency=low

  * hopefully fixed the configuration dialogs now
  * added logging to fmms_config

 -- Nick Leppänen Larsson <frals@frals.se>  Mon, 19 Apr 2010 12:44:26 +0200

## fmms 0.9.4

=== debian/changelog ===
fmms (0.9.4) stable; urgency=low

  * hopefully really fixed config dialogs now
  * should log if the dialog throws an exception now

 -- Nick Leppänen Larsson <frals@frals.se>  Tue, 20 Apr 2010 15:53:24 +0200

## fmms 0.9.5

=== debian/changelog ===
fmms (0.9.5) stable; urgency=low

  * really, really fixed config dialog
  * checks for empty strings in config dialog

 -- Nick Leppänen Larsson <frals@frals.se>  Tue, 20 Apr 2010 19:15:37 +0200

## fmms 0.9.6

=== debian/changelog ===
fmms (0.9.6) stable; urgency=low

  * so... the config dialog. really. fixed. promise.

 -- Nick Leppänen Larsson <frals@frals.se>  Tue, 20 Apr 2010 23:51:31 +0200

=== debian/rules ===
--- 
+++ 
@@ -86,6 +86,7 @@
 	cp -a "src/opt/fmms/fmmsd.py" "$(CURDIR)/debian/fmms/opt/fmms/fmmsd.py"
 	cp -a "src/opt/fmms/logger.conf" "$(CURDIR)/debian/fmms/opt/fmms/logger.conf"
 	cp -a "src/opt/fmms/wappushhandler.py" "$(CURDIR)/debian/fmms/opt/fmms/wappushhandler.py"
+	cp -a "src/opt/fmms/dotted_border.png" "$(CURDIR)/debian/fmms/opt/fmms/dotted_border.png"
 	mkdir -p "$(CURDIR)/debian/fmms/usr/share/icons/hicolor/scalable/hildon/"
 	cp -a "src/usr/share/icons/hicolor/scalable/hildon/fmms.png" "$(CURDIR)/debian/fmms/usr/share/icons/hicolor/scalable/hildon/fmms.png"
 
@@ -100,8 +101,8 @@
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs debian/changelog
-	dh_installdocs
-	dh_installexamples
+#	dh_installdocs
+#	dh_installexamples
 #	dh_install
 #	dh_installmenu
 #	dh_installdebconf
@@ -113,7 +114,7 @@
 #	dh_installinit
 #	dh_installcron
 #	dh_installinfo
-	dh_installman
+#	dh_installman
 	dh_link
 	dh_strip
 	dh_compress

## fmms 0.9.7

=== debian/changelog ===
fmms (0.9.7) stable; urgency=low

  * ... including updated code this time around.

 -- Nick Leppänen Larsson <frals@frals.se>  Wed, 21 Apr 2010 01:22:51 +0200

## fmms 0.9.8

=== debian/changelog ===
fmms (0.9.8) stable; urgency=low

  * list of choices instead of numerical input for resize
  * doesnt force the usage of 'z_fMMS-APN', override by setting gconfkey manually
  * only shows config dialog on first launch if settings fields arent populated
  * only shows SMS PUSH notification if MMS download fails
  * Forward works even if there is no attachment
  * added some cgi.escape() for listview
  * dialog asking if you want to disconnect when in polite mode and clicking a new mms in gui
  * config dialog unsets proxy settings correctly now

 -- Nick Leppänen Larsson <frals@frals.se>  Wed, 21 Apr 2010 23:20:05 +0200

## fmms 0.9.9

=== debian/changelog ===
fmms (0.9.9) stable; urgency=low

  * left aligned labels in config dialogs
  * gtk related functions in controller separated
  * fmmsd no longer imports gtk, roughly 50% decrease in memory footprint and no more wake ups due to gtk
  * viewer/sender not imported in gui until needed, should give a bit faster launch
  * removed unused imports throughout all files
  * caching looked up numbers in main view
  * removes leading zeroes from ip in proxy

 -- Nick Leppänen Larsson <frals@frals.se>  Sat, 24 Apr 2010 01:21:53 +0200

## fmms 0.9.10

=== debian/changelog ===
fmms (0.9.10) stable; urgency=low

  * make sure avatar is assigned before reference

 -- Nick Leppänen Larsson <frals@frals.se>  Sat, 24 Apr 2010 12:34:53 +0200

## fmms 0.9.11

=== debian/changelog ===
fmms (0.9.11) stable; urgency=low

  * gif images doesnt break viewer anymore
  * config dialog module is imported on use to decrease start up time

 -- Nick Leppänen Larsson <frals@frals.se>  Wed, 28 Apr 2010 17:26:32 +0200

## fmms 0.9.11-2

=== debian/changelog ===
fmms (0.9.11-2) stable; urgency=low

  * actually updated code this time

 -- Nick Leppänen Larsson <frals@frals.se>  Wed, 28 Apr 2010 17:33:19 +0200

## fmms 0.9.12

=== debian/changelog ===
fmms (0.9.12) stable; urgency=low

  * on first application launch the apn created should never become default iap for gprs

 -- Nick Leppänen Larsson <frals@frals.se>  Thu, 29 Apr 2010 11:30:32 +0200

=== debian/rules ===
--- 
+++ 
@@ -75,6 +75,7 @@
 	cp -a "src/opt/fmms/__init__.py" "$(CURDIR)/debian/fmms/opt/fmms/__init__.py"
 	cp -a "src/opt/fmms/contacts.py" "$(CURDIR)/debian/fmms/opt/fmms/contacts.py"
 	cp -a "src/opt/fmms/controller.py" "$(CURDIR)/debian/fmms/opt/fmms/controller.py"
+	cp -a "src/opt/fmms/controller_gtk.py" "$(CURDIR)/debian/fmms/opt/fmms/controller_gtk.py"
 	cp -a "src/opt/fmms/dbhandler.py" "$(CURDIR)/debian/fmms/opt/fmms/dbhandler.py"
 	cp -a "src/opt/fmms/fmms.png" "$(CURDIR)/debian/fmms/opt/fmms/fmms.png"
 	cp -a "src/opt/fmms/fmms_config.py" "$(CURDIR)/debian/fmms/opt/fmms/fmms_config.py"

## fmms 0.9.12-2

=== debian/changelog ===
fmms (0.9.12-2) stable; urgency=low

  * fixed postinst to compile in the correct subdir

 -- Nick Leppänen Larsson <frals@frals.se>  Thu, 29 Apr 2010 12:29:33 +0200

## fmms 0.9.13

=== debian/changelog ===
fmms (0.9.13) stable; urgency=low

  * reply via sms added

 -- Nick Leppänen Larsson <frals@frals.se>  Thu, 29 Apr 2010 13:53:08 +0200

## fmms 0.9.14

=== debian/changelog ===
fmms (0.9.14) stable; urgency=low

  * settings swap should work fine now.
  * escapes senderuri in listview
  * uses transactionid from push when storing, should solve problems with monternet

 -- Nick Leppänen Larsson <frals@frals.se>  Thu, 29 Apr 2010 22:34:05 +0200

## fmms 0.9.15

=== debian/changelog ===
fmms (0.9.15) stable; urgency=low

  * tweaked packaging to make use of dh_pysupport
  * added noop connectionmode (set via gconf)
  * tweaked settings swap even more
  * should now work when mmsc has capital letters in http:// part
  * logging in config is now working

 -- Nick Leppänen Larsson <frals@frals.se>  Mon,  3 May 2010 11:38:29 +0200

=== debian/control ===
Source: fmms
Section: user/network
Priority: extra
Maintainer: Nick Leppänen Larsson <frals@frals.se>
Build-Depends: debhelper (>= 5), python-support
Standards-Version: 3.7.2

Package: fmms
XB-Maemo-Display-Name: fMMS
Architecture: all
Depends: python2.5, python-gtk2 (>= 2.12.1-6maemo10), python-osso (>= 0.4-0maemo2), python-hildon (>= 0.9.0-1maemo15), python-dbus, gnome-python (>= 2.18.0-2maemo6), python-gconf, python-imaging, python-gobject, python-evolution, rootsh, sharing-fmms, python-conic, python-support
Description: Send and receive MMS, hopefully
XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=fMMS
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAAEAAAABACAYAAACqaXHeAAAAGXRFWHRTb2Z0d2FyZQBBZG9iZSBJ
 bWFnZVJlYWR5ccllPAAADulJREFUeNrsW2tsHNd5PTOzs7uzb5LLJcWXKZKiKJGSq4f1sN2mjSQn
 DmDVbQAjQID+SCGnRQOkKOD+CZL8CPqnRVsYdQrULew/TRykDmq7tmLUViJbsSU5kkw9LEqmLIoU
 qSW55C65r5l9zGzPnd2VLFkPilxKUaULXw45Ozt7v3PPOd/3zVpSqVTC/Txk3OfjAQAPAHgAwAMA
 7uvhuNmLkiRVQRLXuSvHJYH27acbAn/5pw3fDniUbygyOsS5oomTiZT5s83f+vTFGsRkiVtyGpWj
 dbNUL930xTIAImgPZ4jTy6ksdmXbBjz+f/hO60tup9R3vdeNfOnMcy9MfOvQqWxqCQCYnBnOOc6s
 AGGpAKicAd3IzdxL1NbcrjAPSc7CzWJ0LPB+0j1YMUpL9oDrjWcPTN+ALeITJfsoyxL4HxT+UBTx
 u3T5nHFqHLLXBXdX5OolEt/k26ftX3xfWUvhUrz8QQHDNDnt38vnxF6UUD5eO178/UjtTPDzo8oA
 lyzdGAD+UETg/OHgdQ66nKMCgjjKtM+p83EkD44j/KOdUAMeGwNxZyM6h6lfnoN7VQih3TI/T0LR
 KgdfVDhNq/I3RS4AqMwbrXP5AFCkGwZf3XVVEVOGk0en4woQDgIQnUiilDCRfO0T9O7Zar9P3Hvo
 de6+waAnMqh3SrAkxQ5YBJ4vlpBn4OJoyiX7vFUqv+/aeJcNgOonuZUvZkG5AkA1SMUqwsVspDlU
 aE6HDYQARWAnG0VeqyD27hhWPd6Bpo0dSE3EMfvBJTLEifyMjrDK4BQFBVMELsOQLeh5C0axiALv
 YToclEQ5WKt0/XXeMQZIFQYoUjlIO9iSjMHn3obqdSK8NozeHV1oWB2BwM7nVmF5VAarIvrmWfRv
 bsP5/x1GwKfZ9M4VHGggAJJDQY4Fwlwqi4vvDGPi/VFo7QG079lOYJjbpNIVKdxJCWgO6Yu7j/LO
 q/zDxSg1hwtrvr4WJ/79OC6OGwxgFM09AWzY3Yug5oDkd9IXZJiXDOhnosgOzyEU0FAocpdzJdTx
 Ztl0FoO/OIVTb51HURdUNzHw7CNwq4rNiAIZYFqUyjVmuOwAXCsBAYBcob+T002ANF7T/9VeRH9z
 AXPDGXg0D0rxEk7+9Az9wILX44Tb6SRznDj3P2fhzJfgJCgCAKdqIXr0It798TGk5yxYRRkizOaN
 jWghiwyr7DV5kRlku8y7SgbLCIBVAUC6yvzE8sSCbPpXAeD0UP9Pff8P8dpfvw1NUgmCA5rLwcVm
 ICsGJNlAyN+M+ZlJ0j/Ee6nc/TzvVsKRlz6BR9FYdxaRyRZgErRH92yGi34iESRZoqlSAoVKavy8
 DKrrrD0A1hcZUN19gYmgP62J5kcPoAk6uD1awImnf/A4PviXo3DLCnwaTa6YgsftpaklSOFpBpWH
 w5HluQZkjChU6l9z10M3LNtYi2YeDz+zBs0d9TDMagdXYj1egmr7QMku/qsbX7LukAdUza9Mf76e
 z+H9H+1HbCjOcwrcbgV+mqDfy0zgIlWlBLK5AoOlfs00VnWsxZmRD+2CJuDVoOfGKQ/DbjX8HjdN
 kjtPIDu2tOOxZx5GnsYKybLDl3kUn3k9H7hdCci3A4CYggH2dJSPmj0VBL0efPm729HQGaDBKdxR
 DV7NzV3XSPUggdC4zAx1HkdGjyKXn0ZbUwsKhTjlkEU8eZ6A6vB5XAxeZ7AZ9GwPY8dfbLR32sVZ
 /iypcpQpE2G48uW/xXqq61xwvbzAZig4E4vFxB+Hks6r9C/oX676yh7goFt/9NOPMbR3BPVBH4J+
 FzXutNkgM9BY4lM0qr/Fzv7zdP4ypzNZN3452IrhRCev8fKuHu5ykMcQ0lkL8ykC0+FDuLcBK7e2
 o74nTLHJtgfQEmwjLFVksC2Qt+8Zbmxs5GH+Vs3QggGITU3bAJzQtcv0v1z6iupPLtcAdh3Ac+nJ
 OZx4YwhTJ6fIBlQaswxWN17Ajk0naHBBvlEta6nARWfn8eqvmnExM4C6wEqojgjSmSKDz1dmDvPp
 HD2hAF/YhUe+0Y++XavIHtX2gaoRrtd0e+2NTZEFAbAgCez7Sf9zVWppFZcvO/2Vo5giQ4jpsktg
 GaEmL7SgxOImibQew3xmCpvaD5eDpxFCJZscnJqPFVIddm+ewYpwq61xyzLs3kGU0aKXEHWDaKgk
 lJsr6AVKoPr5lINaXkN1nWLNtTDB4Ae/WP/jTNb8ZjW9CM193gDlqgQqZpiYSOA3PzuB8aMx1AU9
 3M0QIpEInb0bIxMHy7QXO3/t4Dmncx7nx48zWNJf8ovHEHT1ICluItzhQl93Ex7e1YPmVWFYsmLT
 /3KXiDIFqutkqfy3XHvrY18/8VcVJiwKgB7e/JuiRM3n86S6QkfnHtg7cQUAkRklfvB7rwzi1z/5
 hIbkYqBuOxuICi6WGKOWRxFpCN+kUy/TtCXSTfNsQZJ013MKsrqElRvC2LVnE3wNAbsHKIoWWQQv
 0iAXYHsAmyPRKps5k6+Zdlkt1s5b/jPn0UVLwMhZzM/s3ubnkcmkIVGDCvFW+c6q5p2i22MATa1B
 PPJEJ1r7/HR3g46fQyI1SfrP0QybeK8s5pJSWfPXDp6b4z5dmmb1mJpl5miBx1VHCWgYHZzH88/u
 xeC+szbLnJWq87LniJabaxJrE2u018o1i7UvuQ5oa3Li0mQek1PT0JjSVMkLj0cjXVnyqA5WdXK5
 F3Cq2LyzF1uf6CVtLXpaGm89fxjJcYvFjosGdpFmqOD09E48GvkQtsBtKZTKgKQTODH5JbtJSiRj
 3FH6BKd4HsDbIZeV8NIPPsAzyRy27x6gRGT78afFrS4WikyrOWSzOgozs9B1nUBY6O9xLh2A3pUa
 OltdODvzESbiA/xEFV6vD36fD14fTY7BySxRFdJdrEmAkU0aePl7+1FIWAj6PDDyM0yDKxAO1eHo
 2GnucjN2DoxQJuUdymRc2Hu8BUVtAOt7OzAWHUU6P897ynZzlGf7VygW7YT0yt//FheH4/iT7z5q
 g2OIwNk4pTMZzjRKiThaQ6ew5Sv1LL+VGlSCFJJ4qLGu+U08FPoIg7NPIT7TzQ9NIRgIwO8XYDB3
 uwiEKIapv3/6zptITxsM3k1/ENVfCUlWf6lMjM0Ode3YhZcPjaGvayPOjQ5i08AT+CzxBhypCeq/
 i+/rgDEbw1Pf20YmlRCbmMfkeBK5XME2PVEhzkZjkNlbpBh4Kp3ma3nUOc+h76G9qNNGy+peQFl8
 qzpgU/Hs9iPXnp/MstWNPYkCwnanFwpeAcJujNjLy6S4ntTxn98/AIkVrp9giOpPc6vU+BhWd25A
 koCY1G1bUx8zxBCpHydLVpPyLpqgjt/b3YntT6+z05pJHRQE1RloijudSlHrnLl8gWk3jlWBd7DC
 ffiLO7z64Ga+/+jiGXAdfJq102xOTmN4bifOzW/BlE4Kpj3IkhGBgB8+r5fGpODAf5/BTNSwa3tF
 MdkIsd/Pp9AQ7GUwbsTnUyyVQ3ah43G1Il7K2YEzt5D6wLF9F7Dpa6ttly8wCwmai8Dnk0lmB6Jq
 pdFNVnZ432Ma1q+71iVL4GbdVQ9R7/QdwNnEH+F8fCv0LHWYStrS0OeLeP2lY3TzkO0LBdOglFxk
 TIi7rmFmLonTuSjWyQ18NS++HaLDhxmYSGPUtc4qcCpl3y/PnU+ny4ELgyvy4hbvx+j2v8vCK17J
 /8vw1VjVA25+Ax39dXvRFTiIwdgfIxHvQpY7tf+/hpA2UixTiwi2NOJJ5vHX//Fj+z3FYh6Z0hx+
 7j6Abn09a4yc/fBTGN6OPevwxr8eK5e/mSQO//oTRLr8METgdPx69wV01+1D0DF85Yuw5fpu8Hb6
 a7cUx7bIy4jnu3Ak+iSOvH8WzW11ePTJdmzZsRZej8d+vlcsyrYp7gscwJwzgxz7/lRGJyuYOlkn
 tPQ3YMNTbXjtPw4zdWYwfPYC3OFO+FxJrA3+Co2OQ5V13YEvRxfzgKHO8Rl2tb+A8N8NYALbWbJ6
 EJ2cgotZIjYX5y6b6FrfgCOl4zZ1tRbWGUdn6Q8FWIqB6dkZNPV7sfPPu/Hz5w8iPp3CquB+tLne
 Y7GTrVngNZPAjcaGzpMYsM7hXHIrhhJ/QPNKIaUn4AoImj+OH75QLAP2sAuT70zRI/JYsdqNaHSS
 bDBR1xLA3/ywEf3BV9Gk6kum+hIYsJSb6+gL7MdD3uM4Fvsya9gcvvRnPUx/rHkz5XI41KGCja6d
 zuraQjQ8JldvHP3+txBShmtK9zvKgKu+qaU/PBZ5Ff/2fDtGHdtogFdec7E+6NvahhPvjWFgywps
 jbyFZuVQTQyuFk+ENumHNh6pySfJ7B28/WzhWK5mP73uJaPRnP0wdGWbCy61Nv/zirbt2NIKoVIN
 GCCpzPWebpT0UZTyUze8roONV5z1w/AFA20RJztIZdkZcGsJmEsDQAQuqSFY86d4r8wtr6/3KXCr
 Ehsilrxp2QbirgKwaAbIbsh+Ur6Yhjk3yBsVF05bAtDT5sT4dAFD53V0sRt1qtK9A4DkDEP2sYbP
 fIZSbnJx+AlJRFRKwsSno0ISKrtE5S5I4DYBkLzdNgBmYtA2vKWOer9MSagYuURJEAABxJ1lwEI9
 QGHHFxjg9QbM2SO3RfmFSGJ1uxOjU5TEiIGuFc6aSaImEpAF5f19sLIXYOnjy6JVIYmVTSpiiSLO
 MEt0NNVGEkuWgOzrgeRuRjHxsW14yz0agwp8bhkjUfF8wERro3qXGECXV0LreEEBxdjBmlL+lp0n
 Y+5tdWKMWeLMhRxWrlAXLYlFeYDsIuWDa+jy45wjuBtDSKIz4sBknJIYzdkZI+iVl18Csn8VZK0Z
 Zvwkq7oE7vZoDlESLgkjk3lmDAWtYccyMUDR4KgbKH+HMfnhHaX8rYbXKWENCycBwplREyubVftJ
 ds08QHI3Uu+kfDYKMzmM38UhyN/NwCdFlhijJBoXJolbAiBcXvasYG4/DcuI4Xd9NAUUMoJZgjVD
 g78GAIhGpjB5mFWdgXtl+Ng/rW1VcS6aXzoAwV2vvIj/x+NWD0TWoPyPJe7lkWWMQ4sC4H4YD/7V
 2AMAHgDwAID7evyfAAMAmc7tu+C6uQ0AAAAASUVORK5CYII=

## fmms 0.9.16

=== debian/changelog ===
fmms (0.9.16) stable; urgency=low

  * decoding utf8 in listviews description field
  * setting proxytype to manual so its not removed when saving from system ui
  * checks if a iap settings switch is needed after each apn unmask

 -- Nick Leppänen Larsson <frals@frals.se>  Mon,  3 May 2010 23:37:35 +0200

## fmms 1.0.0

=== debian/changelog ===
fmms (1.0.0) stable; urgency=low

  * we should be stable!
  * shows number instead of crashing when contact has no display name
  * if sending fails disconnect routine is executed and exception raised to view

 -- Nick Leppänen Larsson <frals@frals.se>  Tue,  4 May 2010 23:18:36 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: fmms
 XB-Maemo-Display-Name: fMMS
 Architecture: all
-Depends: python2.5, python-gtk2 (>= 2.12.1-6maemo10), python-osso (>= 0.4-0maemo2), python-hildon (>= 0.9.0-1maemo15), python-dbus, gnome-python (>= 2.18.0-2maemo6), python-gconf, python-imaging, python-gobject, python-evolution, rootsh, sharing-fmms, python-conic, python-support
+Depends: python2.5, python-gtk2 (>= 2.12.1-6maemo10), python-osso (>= 0.4-0maemo2), python-hildon (>= 0.9.0-1maemo15), python-dbus, gnome-python (>= 2.18.0-2maemo6), python-gconf, python-imaging, python-gobject, python-evolution, sharing-fmms, python-conic, python-support
 Description: Send and receive MMS, hopefully
 XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=fMMS
 XB-Maemo-Icon-26:

=== debian/rules ===
--- 
+++ 
@@ -95,6 +95,7 @@
 
 # Build architecture-independent files here.
 binary-indep: build install
+	
 # We have nothing to do by default.
 
 # Build architecture-dependent files here.
@@ -112,6 +113,7 @@
 #	dh_installpam
 #	dh_installmime
 #	dh_python
+	dh_pysupport /opt/fmms
 #	dh_installinit
 #	dh_installcron
 #	dh_installinfo

## fmms 1.0.2

=== debian/changelog ===
fmms (1.0.2) stable; urgency=low

  * inserts 'insert-address-token' in From: field if sendernumber == 0

 -- Nick Leppänen Larsson <frals@frals.se>  Wed,  5 May 2010 17:23:22 +0200

fmms (1.0.1) stable; urgency=low

  * handling some icd/forceconnector related exceptions in place instead of raising to view
  * packaging fixes

 -- Nick Leppänen Larsson <frals@frals.se>  Wed,  5 May 2010 16:18:12 +0200

## fmms 1.0.3

=== debian/changelog ===
fmms (1.0.3) stable; urgency=low

  * fixed config crashing on None values when getting all settings from apn

 -- Nick Leppänen Larsson <frals@frals.se>  Sat,  8 May 2010 23:10:33 +0200

## fmms 1.0.4

=== debian/changelog ===
fmms (1.0.4) stable; urgency=low

  * hildonized inputfields in config dialog
  * removed 'your phonenumber' from config dialog
  * app menu is now available in sender
  * new and improved notification
  * looking up contacts name and shows in notification
  * connectors moved to their own file
  * Http is converted to http in config input for mmsc
  * fmmsd spawns each wappushhandler in a new process to prevent dbus from killing it

 -- Nick Leppänen Larsson <frals@frals.se>  Sun, 23 May 2010 23:17:25 +0200

## fmms 1.0.5

=== debian/changelog ===
fmms (1.0.5) stable; urgency=low

  * fixed polite/rude modes to work again

 -- Nick Leppänen Larsson <frals@frals.se>  Mon, 24 May 2010 16:33:59 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: fmms
 XB-Maemo-Display-Name: fMMS
 Architecture: all
-Depends: python2.5, python-gtk2 (>= 2.12.1-6maemo10), python-osso (>= 0.4-0maemo2), python-hildon (>= 0.9.0-1maemo15), python-dbus, gnome-python (>= 2.18.0-2maemo6), python-gconf, python-imaging, python-gobject, python-evolution, sharing-fmms, python-conic, python-support
+Depends: python2.5, python-gtk2 (>= 2.12.1-6maemo10), python-osso (>= 0.4-0maemo2), python-hildon (>= 0.9.0-1maemo15), python-dbus, gnome-python (>= 2.18.0-2maemo6), python-gconf, python-imaging, python-gobject, python-evolution, sharing-fmms, python-conic, python-support, python-notify
 Description: Send and receive MMS, hopefully
 XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=fMMS
 XB-Maemo-Icon-26:

## fmms 1.0.6

=== debian/changelog ===
fmms (1.0.6) stable; urgency=low

  * fixed a bug where wappushhandler would crash when sender was unknown
  * text inserted in database is properly encoded

 -- Nick Leppänen Larsson <frals@frals.se>  Tue, 25 May 2010 14:17:31 +0200

## fmms 1.0.7

=== debian/changelog ===
fmms (1.0.7) stable; urgency=low

  * reverted regression in dbhandlers textfactory

 -- Nick Leppänen Larsson <frals@frals.se>  Wed, 26 May 2010 23:24:09 +0200

## fmms 1.0.8

=== debian/changelog ===
fmms (1.0.8) stable; urgency=low

  * fixed a bug where a non resolved number lookup would not be cached
  * cleaned up imports and removed unnecessary creations of config object
  * changed strptime format used on first convert
  * scrolling in viewer works when theres multiline text (MB#10174)
  * lock file used to make sure only one wappushhandler is run at a time
  * treeview is made inactive while loading a message (MB#9046)

 -- Nick Leppänen Larsson <frals@frals.se>  Fri, 28 May 2010 16:56:45 +0200

## fmms 1.0.9

=== debian/changelog ===
fmms (1.0.9) stable; urgency=low

  * added vcard receive support

 -- Nick Leppänen Larsson <frals@frals.se>  Fri, 28 May 2010 19:24:51 +0200

## fmms 1.1.0

=== debian/changelog ===
fmms (1.1.0) stable; urgency=low

  * application is now more or less localized
  * subject is stripped of newline chars as this seems to make them undeliverable with some mmscs

 -- Nick Leppänen Larsson <frals@frals.se>  Fri, 28 May 2010 22:55:06 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,11 @@
 XB-Maemo-Display-Name: fMMS
 Architecture: all
 Depends: python2.5, python-gtk2 (>= 2.12.1-6maemo10), python-osso (>= 0.4-0maemo2), python-hildon (>= 0.9.0-1maemo15), python-dbus, gnome-python (>= 2.18.0-2maemo6), python-gconf, python-imaging, python-gobject, python-evolution, sharing-fmms, python-conic, python-support, python-notify
-Description: Send and receive MMS, hopefully
+Description: Send and receive MMS, hopefully.
+  Please use http://talk.maemo.org/showthread.php?t=51890 for discussion.
+  More information at http://mms.frals.se and http://blog.frals.se.
+  Code is available at http://gitorious.org/fmms
+  Garage site at https://garage.maemo.org/projects/fmms
 XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=fMMS
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAAEAAAABACAYAAACqaXHeAAAAGXRFWHRTb2Z0d2FyZQBBZG9iZSBJ

=== debian/rules ===
--- 
+++ 
@@ -74,6 +74,7 @@
 	cp -a "src/opt/fmms/CREDITS" "$(CURDIR)/debian/fmms/opt/fmms/CREDITS"
 	cp -a "src/opt/fmms/__init__.py" "$(CURDIR)/debian/fmms/opt/fmms/__init__.py"
 	cp -a "src/opt/fmms/contacts.py" "$(CURDIR)/debian/fmms/opt/fmms/contacts.py"
+	cp -a "src/opt/fmms/connectors.py" "$(CURDIR)/debian/fmms/opt/fmms/connectors.py"
 	cp -a "src/opt/fmms/controller.py" "$(CURDIR)/debian/fmms/opt/fmms/controller.py"
 	cp -a "src/opt/fmms/controller_gtk.py" "$(CURDIR)/debian/fmms/opt/fmms/controller_gtk.py"
 	cp -a "src/opt/fmms/dbhandler.py" "$(CURDIR)/debian/fmms/opt/fmms/dbhandler.py"

## fmms 1.1.1

=== debian/changelog ===
fmms (1.1.1) stable; urgency=low

  * fixed missing translation in advanced configuration
  * statusbar icon when sending/receiving in havoc mode

 -- Nick Leppänen Larsson <frals@frals.se>  Sat, 29 May 2010 13:47:24 +0200

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,16 @@
 Package: fmms
 XB-Maemo-Display-Name: fMMS
 Architecture: all
-Depends: python2.5, python-gtk2 (>= 2.12.1-6maemo10), python-osso (>= 0.4-0maemo2), python-hildon (>= 0.9.0-1maemo15), python-dbus, gnome-python (>= 2.18.0-2maemo6), python-gconf, python-imaging, python-gobject, python-evolution, sharing-fmms, python-conic, python-support, python-notify
+Depends: python2.5, python-gtk2 (>= 2.12.1-6maemo10), python-osso (>= 0.4-0maemo2), python-hildon (>= 0.9.0-1maemo15), python-dbus, gnome-python (>= 2.18.0-2maemo6), python-gconf, python-imaging, python-gobject, python-evolution, sharing-fmms, python-conic, python-support, python-notify, hildon-desktop-python-loader, python-hildondesktop
 Description: Send and receive MMS, hopefully.
   Please use http://talk.maemo.org/showthread.php?t=51890 for discussion.
+  .
   More information at http://mms.frals.se and http://blog.frals.se.
+  .
   Code is available at http://gitorious.org/fmms
+  .
   Garage site at https://garage.maemo.org/projects/fmms
+  .
 XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=fMMS
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAAEAAAABACAYAAACqaXHeAAAAGXRFWHRTb2Z0d2FyZQBBZG9iZSBJ

=== debian/rules ===
--- 
+++ 
@@ -62,6 +62,10 @@
 	cp -a "src/usr/share/dbus-1/services/se.frals.fmms.service" "$(CURDIR)/debian/fmms/usr/share/dbus-1/services/se.frals.fmms.service"
 	mkdir -p "$(CURDIR)/debian/fmms/usr/share/applications/hildon/"
 	cp -a "src/usr/share/applications/hildon/fmms.desktop" "$(CURDIR)/debian/fmms/usr/share/applications/hildon/fmms.desktop"
+	mkdir -p "$(CURDIR)/debian/fmms/usr/lib/hildon-desktop/"
+	cp -a "src/opt/fmms/fmms_statusmenu.py" "$(CURDIR)/debian/fmms/usr/lib/hildon-desktop/"
+	mkdir -p "$(CURDIR)/debian/fmms/usr/share/applications/hildon-status-menu/"
+	cp -a "src/opt/fmms/fmms_statusmenu.desktop" "$(CURDIR)/debian/fmms/usr/share/applications/hildon-status-menu/fmms_statusmenu.desktop"
 	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/mms/"
 	cp -a "src/opt/fmms/mms/COPYING" "$(CURDIR)/debian/fmms/opt/fmms/mms/COPYING"
 	cp -a "src/opt/fmms/mms/COPYING.LESSER" "$(CURDIR)/debian/fmms/opt/fmms/mms/COPYING.LESSER"

## fmms 1.1.2

=== Makefile ===
# Makefile for fMMS package

compile:
	#cd po && $(MAKE) compile
	mkdir bin

install:
	mkdir -p ${DESTDIR}/opt/fmms ${DESTDIR}/opt/fmms/mms
	install -D -m 0755 -o root -g root src/*.py* ${DESTDIR}/opt/fmms/
	install -m 0755 -o root -g root src/fmms_magic ${DESTDIR}/opt/fmms/
	install -m 0644 -o root -g root src/*.conf ${DESTDIR}/opt/fmms/
	install -m 0644 -o root -g root src/*.png ${DESTDIR}/opt/fmms/
	install -m 0644 -o root -g root src/C* ${DESTDIR}/opt/fmms/
	install -D -m 0644 -o root -g root src/mms/C* ${DESTDIR}/opt/fmms/mms/
	install -D -m 0644 -o root -g root src/mms/*.py* ${DESTDIR}/opt/fmms/mms/
	install -D -m 0644 -o root -g root share/fmms-64.png ${DESTDIR}/usr/share/icons/hicolor/scalable/hildon/fmms.png
	install -D -m 0644 -o root -g root share/fmms-32.png ${DESTDIR}/usr/share/icons/hicolor/32x32/hildon/fmms.png
	install -D -m 0644 -o root -g root share/fmms-48.png ${DESTDIR}/usr/share/icons/hicolor/48x48/hildon/fmms.png
	install -D -m 0644 -o root -g root share/fmms.desktop ${DESTDIR}/usr/share/applications/hildon/fmms.desktop
	install -D -m 0644 -o root -g root share/se.frals.fmms.service ${DESTDIR}/usr/share/dbus-1/services/se.frals.fmms.service
	install -D -m 0644 -o root -g root share/se.frals.mms.service ${DESTDIR}/usr/share/dbus-1/system-services/se.frals.mms.service
	install -D -m 0644 -o root -g root share/fmms_magic.sudoers ${DESTDIR}/etc/sudoers.d/fmms_magic.sudoers
	install -D -m 0644 -o root -g root src/fmms_statusmenu.desktop ${DESTDIR}/usr/share/applications/hildon-status-menu/fmms_statusmenu.desktop
	install -D -m 0644 -o root -g root src/fmms_statusmenu.py ${DESTDIR}/usr/lib/hildon-desktop/fmms_statusmenu.py

	#cd po && $(MAKE) install 

clean:
	rm -f src/*.py[oc]
	rm -f src/mms/*.py[oc]
	rm -f build-stamp configure-stamp
	rm -rf debian/fmms bin
	find . -name *~ -exec rm -f {} \;
	#cd po && $(MAKE) clean

package:
	UPDATESCRIPTS=$(shell PATH="$(PATH)" python2.5 update_scripts.py)
	#$(UPDATESCRIPTS)
	dpkg-buildpackage -rfakeroot -uc -us -sa -I.git -I.svn

=== debian/changelog ===
fmms (1.1.2) stable; urgency=low

  * modified how package is built, less effort to package now (hopefully)
  * reverted regression in main view (encode instead of decode)
  * sender textview is now using gtk.WRAP_WORD_CHAR instead of only CHAR

 -- Nick Leppänen Larsson <frals@frals.se>  Sun, 30 May 2010 18:18:48 +0200

=== debian/control ===
--- 
+++ 
@@ -11,13 +11,9 @@
 Depends: python2.5, python-gtk2 (>= 2.12.1-6maemo10), python-osso (>= 0.4-0maemo2), python-hildon (>= 0.9.0-1maemo15), python-dbus, gnome-python (>= 2.18.0-2maemo6), python-gconf, python-imaging, python-gobject, python-evolution, sharing-fmms, python-conic, python-support, python-notify, hildon-desktop-python-loader, python-hildondesktop
 Description: Send and receive MMS, hopefully.
   Please use http://talk.maemo.org/showthread.php?t=51890 for discussion.
-  .
   More information at http://mms.frals.se and http://blog.frals.se.
-  .
   Code is available at http://gitorious.org/fmms
-  .
   Garage site at https://garage.maemo.org/projects/fmms
-  .
 XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=fMMS
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAAEAAAABACAYAAACqaXHeAAAAGXRFWHRTb2Z0d2FyZQBBZG9iZSBJ

## fmms 1.1.3-1

=== debian/changelog ===
fmms (1.1.3-1) stable; urgency=low

  * finnish and french translation added
  * packaging hopefully fixed

 -- Nick Leppänen Larsson <frals@frals.se>  Mon, 31 May 2010 15:03:27 +0200

fmms (1.1.3) stable; urgency=low

  * added swedish, polish and bulgarian translations
  * using transifex to translations, see http://www.transifex.net/projects/p/fmms/
  * using HeAboutDialog by thp
  * moved sending logic to controller/wappushhandler instead of ui
  * added polish package description (thanks TomaszD)

 -- Nick Leppänen Larsson <frals@frals.se>  Mon, 31 May 2010 13:33:45 +0200

## fmms 1.1.4

=== debian/changelog ===
fmms (1.1.4) stable; urgency=low

  * italian translation added
  * added code to see if lock file is stale or not

 -- Nick Leppänen Larsson <frals@frals.se>  Mon, 31 May 2010 23:11:25 +0200

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,21 @@
 Architecture: all
 Depends: python2.5, python-gtk2 (>= 2.12.1-6maemo10), python-osso (>= 0.4-0maemo2), python-hildon (>= 0.9.0-1maemo15), python-dbus, gnome-python (>= 2.18.0-2maemo6), python-gconf, python-imaging, python-gobject, python-evolution, sharing-fmms, python-conic, python-support, python-notify, hildon-desktop-python-loader, python-hildondesktop
 Description: Send and receive MMS, hopefully.
-  Please use http://talk.maemo.org/showthread.php?t=51890 for discussion.
-  More information at http://mms.frals.se and http://blog.frals.se.
-  Code is available at http://gitorious.org/fmms
-  Garage site at https://garage.maemo.org/projects/fmms
+ Please use http://talk.maemo.org/showthread.php?t=51890 for discussion.
+ .
+ More information at http://mms.frals.se and http://blog.frals.se.
+ .
+ Code is available at http://gitorious.org/fmms
+ .
+ Garage site at https://garage.maemo.org/projects/fmms
+XB-Description-pl_PL: Obsługa wiadomości MMS.
+ Wątek dotyczący programu: http://talk.maemo.org/showthread.php?t=51890.
+ .
+ Więcej informacji na stronach http://mms.frals.se i http://blog.frals.se.
+ .
+ Kod źródłowy dostępny na stronie http://gitorious.org/fmms
+ .
+ Strona projektu: https://garage.maemo.org/projects/fmms
 XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=fMMS
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAAEAAAABACAYAAACqaXHeAAAAGXRFWHRTb2Z0d2FyZQBBZG9iZSBJ

## fmms 1.1.5

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Makefile for fMMS package
 
 compile:
-	#cd po && $(MAKE) compile
+	cd po && $(MAKE) compile
 	mkdir bin
 
 install:
@@ -23,7 +23,7 @@
 	install -D -m 0644 -o root -g root src/fmms_statusmenu.desktop ${DESTDIR}/usr/share/applications/hildon-status-menu/fmms_statusmenu.desktop
 	install -D -m 0644 -o root -g root src/fmms_statusmenu.py ${DESTDIR}/usr/lib/hildon-desktop/fmms_statusmenu.py
 
-	#cd po && $(MAKE) install 
+	cd po && $(MAKE) install 
 
 clean:
 	rm -f src/*.py[oc]
@@ -31,9 +31,4 @@
 	rm -f build-stamp configure-stamp
 	rm -rf debian/fmms bin
 	find . -name *~ -exec rm -f {} \;
-	#cd po && $(MAKE) clean
-
-package:
-	UPDATESCRIPTS=$(shell PATH="$(PATH)" python2.5 update_scripts.py)
-	#$(UPDATESCRIPTS)
-	dpkg-buildpackage -rfakeroot -uc -us -sa -I.git -I.svn
+	cd po && $(MAKE) clean

=== debian/changelog ===
fmms (1.1.5) stable; urgency=low

  * make sure status bar icon is hidden properly when havoc mode terminates
  * spanish, german and czech translations added

 -- Nick Leppänen Larsson <frals@frals.se>  Thu,  3 Jun 2010 14:00:11 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/fmms install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs 
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
	dh_pysupport /opt/fmms
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## fmms 1.1.6

=== debian/changelog ===
fmms (1.1.6) stable; urgency=low

  * removed fmms_statusmenu plugin from main package, rewrote in C and is now in separate package 'statusmenu-fmms'
  * russian translation added

 -- Nick Leppänen Larsson <frals@frals.se>  Sat,  5 Jun 2010 14:11:59 +0200

## fmms 1.1.7

=== debian/changelog ===
fmms (1.1.7) stable; urgency=low

  * norweigan and arabic translations added; see http://www.transifex.net/projects/p/fmms/ for more info

 -- Nick Leppänen Larsson <frals@frals.se>  Mon,  7 Jun 2010 15:50:32 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: fmms
 XB-Maemo-Display-Name: fMMS
 Architecture: all
-Depends: python2.5, python-gtk2 (>= 2.12.1-6maemo10), python-osso (>= 0.4-0maemo2), python-hildon (>= 0.9.0-1maemo15), python-dbus, gnome-python (>= 2.18.0-2maemo6), python-gconf, python-imaging, python-gobject, python-evolution, sharing-fmms, python-conic, python-support, python-notify, hildon-desktop-python-loader, python-hildondesktop
+Depends: python2.5, python-gtk2 (>= 2.12.1-6maemo10), python-osso (>= 0.4-0maemo2), python-hildon (>= 0.9.0-1maemo15), python-dbus, gnome-python (>= 2.18.0-2maemo6), python-gconf, python-imaging, python-gobject, python-evolution, sharing-fmms, statusmenu-fmms, python-conic, python-support, python-notify
 Description: Send and receive MMS, hopefully.
  Please use http://talk.maemo.org/showthread.php?t=51890 for discussion.
  .

## fmms 1.1.8

=== debian/changelog ===
fmms (1.1.8) stable; urgency=low

  * updated packaging to use dh_pysupport
  * depending on statusmenu-fmms 1.1 now

 -- Nick Leppänen Larsson <frals@frals.se>  Mon,  7 Jun 2010 16:18:13 +0200

## fmms 1.1.9

=== Makefile ===
--- 
+++ 
@@ -20,8 +20,6 @@
 	install -D -m 0644 -o root -g root share/se.frals.fmms.service ${DESTDIR}/usr/share/dbus-1/services/se.frals.fmms.service
 	install -D -m 0644 -o root -g root share/se.frals.mms.service ${DESTDIR}/usr/share/dbus-1/system-services/se.frals.mms.service
 	install -D -m 0644 -o root -g root share/fmms_magic.sudoers ${DESTDIR}/etc/sudoers.d/fmms_magic.sudoers
-	install -D -m 0644 -o root -g root src/fmms_statusmenu.desktop ${DESTDIR}/usr/share/applications/hildon-status-menu/fmms_statusmenu.desktop
-	install -D -m 0644 -o root -g root src/fmms_statusmenu.py ${DESTDIR}/usr/lib/hildon-desktop/fmms_statusmenu.py
 
 	cd po && $(MAKE) install

=== debian/changelog ===
fmms (1.1.9) stable; urgency=low

  * spanish translation fixed

 -- Nick Leppänen Larsson <frals@frals.se>  Sat, 19 Jun 2010 07:35:47 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: fmms
 XB-Maemo-Display-Name: fMMS
 Architecture: all
-Depends: python2.5, python-gtk2 (>= 2.12.1-6maemo10), python-osso (>= 0.4-0maemo2), python-hildon (>= 0.9.0-1maemo15), python-dbus, gnome-python (>= 2.18.0-2maemo6), python-gconf, python-imaging, python-gobject, python-evolution, sharing-fmms, statusmenu-fmms, python-conic, python-support, python-notify
+Depends: python2.5, python-gtk2 (>= 2.12.1-6maemo10), python-osso (>= 0.4-0maemo2), python-hildon (>= 0.9.0-1maemo15), python-dbus, gnome-python (>= 2.18.0-2maemo6), python-gconf, python-imaging, python-gobject, python-evolution, sharing-fmms (>= 1.0.2), statusmenu-fmms (>= 1.1), python-conic, python-support, python-notify
 Description: Send and receive MMS, hopefully.
  Please use http://talk.maemo.org/showthread.php?t=51890 for discussion.
  .

## fmms 1.1.10

=== debian/changelog ===
fmms (1.1.10) stable; urgency=low

  * greek translation added

 -- Nick Leppänen Larsson <frals@frals.se>  Thu, 22 Jul 2010 07:53:59 +0200

## fmms 1.1.10-1

=== po/Makefile ===
GETTEXT_PACKAGE = fmms
PACKAGE = fmms

SHELL = /bin/sh

prefix = /opt/$(PACKAGE)
DATADIRNAME = share
itlocaledir = $(prefix)/$(DATADIRNAME)/locale

INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644

GMSGFMT = /scratchbox/tools/bin/msgfmt
MSGFMT = /scratchbox/tools/bin/msgfmt
XGETTEXT = /scratchbox/tools/bin/xgettext
MSGMERGE = /scratchbox/tools/bin/msgmerge 

PO_LINGUAS=$(shell PATH="$(PATH)" python2.5 update_langs.py)

USE_LINGUAS=$(shell PATH="$(PATH)" python2.5 update_langs.py)

POFILES=$(shell LINGUAS="$(PO_LINGUAS)"; for lang in $$LINGUAS; do printf "$$lang.po "; done)

DISTFILES = Makefile POTFILES.in $(POFILES)
EXTRA_DISTFILES = ChangeLog POTFILES.skip Makevars LINGUAS

POTFILES = \
	../src/fmms_gui.py \
# This comment gets stripped out

CATALOGS=$(shell LINGUAS="$(USE_LINGUAS)"; for lang in $$LINGUAS; do printf "$$lang.gmo "; done)

.SUFFIXES:
.SUFFIXES: .po .gmo .mo 

.po.mo:
	$(MSGFMT) -o $@ $<

.po.gmo:
	file=`echo $* | sed 's,.*/,,'`.gmo \
	  && rm -f $$file && $(GMSGFMT) -o $$file $<

all: compile

compile: $(CATALOGS)

$(GETTEXT_PACKAGE).pot: $(POTFILES)
	$(XGETTEXT) --package-name=$(PACKAGE) -o $(GETTEXT_PACKAGE).pot $(POTFILES) 

install: all
	linguas="$(USE_LINGUAS)"; \
	for lang in $$linguas; do \
	  dir=$(DESTDIR)$(itlocaledir)/$$lang/LC_MESSAGES; \
	  mkdir -p $$dir; \
	  if test -r $$lang.gmo; then \
	    $(INSTALL_DATA) $$lang.gmo $$dir/$(GETTEXT_PACKAGE).mo; \
	    echo "installing $$lang.gmo as $$dir/$(GETTEXT_PACKAGE).mo"; \
	  fi; \
	done

clean: 	
	rm -f *.mo *.gmo

update-po: 
	$(MAKE) $(GETTEXT_PACKAGE).pot
	linguas="$(USE_LINGUAS)"; \
	for lang in $$linguas; do \
	  echo "$$lang:"; \
	  if test -r $$lang.po; then \
	    $(MSGMERGE) -U $$lang.po $(GETTEXT_PACKAGE).pot; \
	  else \
	    cp $(GETTEXT_PACKAGE).pot $$lang.po; \
	  fi; \
	done

=== debian/changelog ===
fmms (1.1.10-1) stable; urgency=low

  * added the file this time

 -- Nick Leppänen Larsson <frals@frals.se>  Thu, 22 Jul 2010 08:05:33 +0200

## fmms 1.1.11

=== debian/changelog ===
fmms (1.1.11) stable; urgency=low

  * Fixed MB#10981. Fails to insert latin-1 encoded textfile in viewer
  * Fixed MB#10786. removed MMS is listed a few seconds in received MMS list when user starts fMMS
  * Text in sender and viewer is now left-justified instead of centred.

 -- Nick Leppänen Larsson <frals@frals.se>  Sat, 24 Jul 2010 16:08:14 +0200

## fmms 1.2.0

=== debian/changelog ===
fmms (1.2.0) stable; urgency=low

  * 'Save attachments' option added in viewer

 -- Nick Leppänen Larsson <frals@frals.se>  Sun, 25 Jul 2010 11:06:51 +0200

## fmms 1.2.1

=== debian/changelog ===
fmms (1.2.1) stable; urgency=low

  * FileChooserDialog in sender now remembers last used dir

 -- Nick Leppänen Larsson <frals@frals.se>  Thu, 29 Jul 2010 20:48:44 +0200

## fmms 1.2.2

=== debian/changelog ===
fmms (1.2.2) stable; urgency=low

  * Fixed syntax error in viewer preventing it from starting
  * Updated dependency on python-hildon to correct version

 -- Nick Leppänen Larsson <frals@frals.se>  Fri, 30 Jul 2010 07:06:34 +0200

## fmms 1.2.3

=== debian/changelog ===
fmms (1.2.3) stable; urgency=low

  * Norweigan, Thai and Albanian translation (for credits see Transifex site)
  * Caption from 'Share via service' propagates to sender titlebar
  * Copyright notice in 'About application' dialogue
  * Banner shown after saving is completed
  * Listview is not updated when started from send_mms dbus call (faster launch from 3rd party apps)

 -- Nick Leppänen Larsson <frals@frals.se>  Wed,  4 Aug 2010 08:03:08 +0200

## fmms 1.2.4

=== debian/changelog ===
fmms (1.2.4) stable; urgency=low

  * now saving unsent message as draft! (Fixes MB#9305)

 -- Nick Leppänen Larsson <frals@frals.se>  Fri,  6 Aug 2010 23:54:03 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,8 @@
 Package: fmms
 XB-Maemo-Display-Name: fMMS
 Architecture: all
-Depends: python2.5, python-gtk2 (>= 2.12.1-6maemo10), python-osso (>= 0.4-0maemo2), python-hildon (>= 0.9.0-1maemo15), python-dbus, gnome-python (>= 2.18.0-2maemo6), python-gconf, python-imaging, python-gobject, python-evolution, sharing-fmms (>= 1.0.2), statusmenu-fmms (>= 1.1), python-conic, python-support, python-notify
+Depends: python2.5, python-gtk2 (>= 2.12.1-6maemo10), python-osso (>= 0.4-0maemo2), python-hildon (>= 0.9.0-1maemo17), python-dbus, gnome-python (>= 2.18.0-2maemo6), python-gconf, python-imaging, python-gobject, python-evolution, sharing-fmms (>= 1.0.2), statusmenu-fmms (>= 1.1), python-conic, python-support, python-notify
+Homepage: http://mms.frals.se
 Description: Send and receive MMS, hopefully.
  Please use http://talk.maemo.org/showthread.php?t=51890 for discussion.
  .

## fmms 1.2.5

=== debian/changelog ===
fmms (1.2.5) stable; urgency=low

  * shipping the code that was forgotten in previous release...
  * added somewhat limited support for audio/video attachments
    i.e. no reencoding is done so dont send huge files!
  * translations updated

 -- Nick Leppänen Larsson <frals@frals.se>  Mon, 30 Aug 2010 21:58:48 +0200

## fmms 1.2.6

=== debian/changelog ===
fmms (1.2.6) stable; urgency=low

  * support for multiple recipients

 -- Nick Leppänen Larsson <frals@frals.se>  Thu, 28 Oct 2010 22:45:17 +0200

## fmms 1.2.7

=== debian/changelog ===
fmms (1.2.7) stable; urgency=low

  * added "reset all settings" option from the menu

 -- Nick Leppänen Larsson <frals@frals.se>  Mon,  8 Nov 2010 20:49:13 +0100

## fmms 1.2.8

=== debian/changelog ===
fmms (1.2.8) stable; urgency=low

  * updated translations, thanks ZogG, stianh, diegobz and sbock

 -- Nick Leppänen Larsson <frals@frals.se>  Fri, 12 Nov 2010 11:22:25 +0100

## fmms 1.2.9

=== debian/changelog ===
fmms (1.2.9) stable; urgency=low

  * message text is included when forwarding message (fixes regression)
  * more updated translations, thanks sbock, etonline and misc!
  * please help with translations at http://www.transifex.net/projects/p/fmms/

 -- Nick Leppänen Larsson <frals@frals.se>  Sat, 13 Nov 2010 21:16:06 +0100

## fmms 1.3.0

=== debian/changelog ===
fmms (1.3.0) stable; urgency=low

  * livefilter in mainview now, filters on sender and subject
  * application no longer closes when going back after starting to forward a message
  * updated translations, thanks everyone who contributed so far!

 -- Nick Leppänen Larsson <frals@frals.se>  Sat, 20 Nov 2010 21:49:07 +0100

=== debian/rules ===
--- 
+++ 
@@ -64,7 +64,7 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-#	dh_installchangelogs 
+	dh_installchangelogs 
 #	dh_installdocs
 #	dh_installexamples
 #	dh_install

## fmms 1.3.1

=== debian/changelog ===
fmms (1.3.1) stable; urgency=low

  * added warning when user is roaming

 -- Nick Leppanen Larsson <frals@frals.se>  Sun, 13 Feb 2011 21:36:36 +0100

## fmms 1.3.1-1

=== debian/changelog ===
fmms (1.3.1-1) stable; urgency=low

  * including the updated code for last release... doh!

 -- Nick Leppanen Larsson <frals@frals.se>  Fri, 18 Feb 2011 22:28:23 +0100
